*{
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}

body {
    font-family: monospace;
    margin: 0;
}

h1{ font-size: 3.5em;
padding-bottom: 5vh;}
h2{
    padding: 2vh;
    margin: 2vh;
    font-family:'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif
}
h3{ font-size: 2em;}
p{ font-size: 1.25em;}
ul{ list-style: none;
padding-inline-start: 0 !important;}
li{ font-size: 1.25em;}

button{
    font-size: 1.25em;
    font-weight: bold;
    padding: 10px 30px;
    border-radius: 5px;
    border: 2px solid rgba(0,0,0,0.3);
    box-shadow: 2px 2px 10px rgba(0,0,0,0.5);
    color: white;
    background-color: gold;
}

button:hover{
    background-color: rgb(187, 160, 7);
}

.container{
    max-width: 1200dw;
    margin: auto;
}

.color-highlight{
    color:gold;
}

header{
    background-color: rgb(245,245,245);
}

header .logo{
    margin:0;
    padding: 1vh 1vw;
    font-weight: bold;
    color: gold;
    font-size: 1.6em;
}


header .container{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0;
    margin: 0;
}

header nav{
    display: flex;
    flex-direction: column;
    text-align: center;
    
}

header a{
    padding: 5px 12px;
    text-decoration: none;
    font-weight: bold;
    color:black;
}

header a:hover{
    color:gold;
}
#span-logo{
    color:gold;
    
}

#span-logo:hover{
    color: black;
}

#hero{
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    height: 90vh;
    color:rgb(255, 236, 69);
   background-image: linear-gradient(
    0deg,
    rgba(0,0,0,0.5),
    rgba(0,0,0,0.5)
   )
   ,url(./images/hero-image.webp);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    object-fit: cover;
}

#hero h1{
   color: rgba(201, 255, 5, 0.979);
}

#hero h2{
    padding-top: 0vh;
    padding-bottom: 0vh;
    margin-top: 1vh;
}

#hero button{
    font-size: 1.75em;
}



#welcome .container{
    text-align: justify;
    padding: 14vh 10vw 1vh;
    margin-top: 14vh;
}

#h2-welcome{
    text-align: center;
    padding-bottom: 2vh;
    margin-bottom: 2vh; 
}

#CallToAction{
    color:gold;
    background-color: #383740;
    padding:5px;
}


#technologies{
    background-color: rgb(30,30,30);
    color: white;
    text-align: center;
    padding: 1vh;
}

#technologies .container{
    padding: 15vh 12px;
}

#technologies h2{
    margin-top: 0;
    font-size: 2.0em;
}

#caracteristicas h2{
    margin-top: 0;
    font-size: 2.0em;
    text-align:center;
}

#technologies p{
    display: none;
}

#technologies .carta{
    background-position: center center;
    background-size: contain;
    
    padding: 50px;
    margin: 20px;
    border-radius: 15px;

}

.carta:first-child{
    background-image: linear-gradient(
        0deg,
        rgba(0,0,0,0.5),
        rgba(0,0,0,0.5)
    )
    ,url(images/html5-icon.png);
    
         
}

.carta:nth-child(2){
    background-image: linear-gradient(
        0deg,
        rgba(0,0,0,0.5),
        rgba(0,0,0,0.5)
    )
    ,url(./images/css3-icon.png);
    
        
        
}

.carta:nth-child(3){
    background-image: linear-gradient(
        0deg,
        rgba(0,0,0,0.5),
        rgba(0,0,0,0.5)
    )
    ,url(images/js-icon.png);
              
}

#caracteristicas .container{
    text-align: center;
    padding: 14vh 10vw 1vh;
    margin-top: 15vh;
}

#caracteristicas li{
    margin: 3vh;
    padding: 2vh;
    font-weight: bold;
}

#contact{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    background-color: rgb(30,30,30);
    color:white;
    height: 80vh;
}

#contact h2{
    font-size: 9vh;
}

#contact button{
    font-size: 5vh;
    text-decoration: none;
}

footer{
    background-color: rgb(230,230,230);
}

footer p{
    margin: 0;
    color: rgb(100,100,100);
    padding: 12px;
}

footer .container{
height: 150px;
display: flex;
justify-content: center;
align-items: flex-end;
}

@media (min-width: 720px){

    header{
        position: fixed;
        width: 100%;
    }

    header .container{
        flex-direction: row;
        justify-content: space-between;
    }

    header nav{
        flex-direction: row;
        padding-bottom: 0;
        padding-right: 20px;
    }

    #welcome .container{
        display: flex;

    }

}